<form [formGroup]="form" (ngSubmit)="login($event)">
  <mat-card>
    <mat-card-header>
      <mat-card-title>Login</mat-card-title>
    </mat-card-header>
    <mat-card-content>
      <div class="row">
        <div class="col-xs">
          <mat-form-field>
            <input placeholder="email" formControlName="email" matInput type="email">
          </mat-form-field>
        </div>
      </div>
      <div class="row">
        <div class="col-xs">
          <mat-form-field>
            <input placeholder="password" formControlName="password" matInput type="password">
          </mat-form-field>
        </div>
      </div>
    </mat-card-content>
    <mat-card-actions>
      <button [disabled]="form.invalid" mat-raised-button type="submit">Ingresar</button>
      <button [disabled]="form.invalid" mat-raised-button type="button" (click)="loginApi()">Login api</button>

    </mat-card-actions>
  </mat-card>

</form>